<template>
    <div class="device-status">
        <div class="header">
            <div class="header-title">设备状态控制</div>
        </div>
        <div class="toolbar">
            <div>
                <div class="minus">-</div>
                <div>26℃</div>
                <div class="plus">+</div>
            </div>
            <div>
                <div class="minus">-</div>
                <div>23%RH</div>
                <div class="plus">+</div>
            </div>
        </div>
        <div class="toolbar-desc">
            <span>空调设定温度</span>
            <span>空调设定湿度</span>
        </div>
        <div class="set-item">
            <div>
                <div>
                    <span>工作模式</span>
                    <img
                        :src="getImage('/device-overview/switch.png')"
                        alt=""
                    />
                </div>
                <div>当前模式：<span>手动</span></div>
            </div>
            <div>
                <div>
                    <span>温控模式</span>
                    <img
                        :src="getImage('/device-overview/switch.png')"
                        alt=""
                    />
                </div>
                <div>当前模式：<span>回风</span></div>
            </div>
            <div>
                <div>
                    <span>开关机</span>
                    <img
                        :src="getImage('/device-overview/switch.png')"
                        alt=""
                    />
                </div>
                <div>当前模式：<span>回风</span></div>
            </div>
            <div>
                <div>
                    <span>设防策略</span>
                    <img
                        :src="getImage('/device-overview/switch.png')"
                        alt=""
                    />
                </div>
                <div>当前模式：<span>回风</span></div>
            </div>
            <div>
                <div>
                    <span>制冷/制热</span>
                    <img
                        :src="getImage('/device-overview/switch.png')"
                        alt=""
                    />
                </div>
                <div>当前模式：<span>回风</span></div>
            </div>
            <div>
                <div>
                    <span>除湿/加湿</span>
                    <img
                        :src="getImage('/device-overview/switch.png')"
                        alt=""
                    />
                </div>
                <div>当前模式：<span>回风</span></div>
            </div>
            <div>
                <div>
                    <span>风速</span>
                    <img
                        :src="getImage('/device-overview/switch.png')"
                        alt=""
                    />
                </div>
                <div>当前模式：<span>回风</span></div>
            </div>
        </div>
    </div>
</template>
<script lang="ts" name="DeviceStatus" setup>
import { getImage } from '@/utils/comm';

onMounted(() => {});

// const props = defineProps({});
</script>
<style scoped lang="less">
.device-status {
    width: 100%;
    height: 100%;
    background: #ffffff;
    box-shadow: 0px 2px 6px 0px #cccccc;
    border-radius: 4px 4px 4px 4px;
    .header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 16px;
        border-bottom: 1px solid #fafafa;
        .header-title {
            border-left: 3px solid #3468ff;
            padding-left: 8px;
            font-size: 16px;
            font-family: PingFang SC-Medium, PingFang SC;
            font-weight: 500;
            color: #333333;
            line-height: 23px;
        }
    }
    .toolbar {
        display: flex;
        align-items: center;
        justify-content: space-around;
        > div {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 0 3px;
            width: 176px;
            height: 40px;
            background: #ffffff;
            box-shadow: 0px 0px 4px 0px rgba(136, 136, 136, 0.25);
            border-radius: 26px;
            .plus {
                cursor: pointer;
                width: 32px;
                height: 32px;
                border-radius: 50%;
                background: linear-gradient(
                    329deg,
                    #15c646 0%,
                    rgba(21, 198, 70, 0.5) 100%
                );
                font-size: 30px;
                line-height: 28px;
                text-align: center;
                color: white;
            }
            .minus {
                cursor: pointer;
                width: 32px;
                height: 32px;
                border-radius: 50%;
                background: linear-gradient(
                    323deg,
                    #cecece 0%,
                    rgba(113, 113, 113, 0) 100%
                );
                font-size: 30px;
                line-height: 28px;
                text-align: center;
                color: white;
            }
        }
    }
    .toolbar-desc {
        display: flex;
        align-items: center;
        justify-content: space-around;
        span {
            padding: 12px 0;
            font-size: 14px;
            font-family: PingFang SC-Medium, PingFang SC;
            font-weight: 500;
            color: #4f4f4f;
            line-height: 20px;
        }
    }
    .set-item {
        padding: 20px;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-around;
        > div {
            // float: left;
            width: calc(50% - 20px);
            height: 63px;
            margin-bottom: 16px;
            margin-left: 10px;
            background: #ffffff;
            box-shadow: 0px 0px 4px 0px rgba(136, 136, 136, 0.25);
            border-radius: 4px 4px 4px 4px;
            padding: 10px 15px;
            > div:nth-child(1) {
                display: flex;
                align-items: center;
                justify-content: space-between;
                font-size: 16px;
                font-family: PingFang SC-Medium, PingFang SC;
                font-weight: 500;
                color: #333333;
                line-height: 20px;
                img {
                    width: 48px;
                    height: 16px;
                }
            }
            > div:nth-child(2) {
                font-size: 12px;
                font-family: PingFang SC-Medium, PingFang SC;
                font-weight: 500;
                color: #bdbdbd;
                line-height: 20px;
                margin-top: 8px;
                span {
                    color: #333333;
                }
            }
        }
        > div:nth-child(2n) {
            margin-left: 24px;
        }
    }
}
</style>
